package com.ai.ipu.cache.util;

/**
 * ipu-cache常量工具类
 *
 * @author huangbo@asiainfo.com
 */
public class IpuCacheConstant {
    
    private IpuCacheConstant() {}

    public static class Redis{
        public static final String CLIENT_TYPE = "clientType";
        public static final String AUTH = "auth";
        public static final String POOL_SIZE = "poolSize";
        public static final String MAX_IDLE = "maxIdle";
        public static final String MIN_IDLE = "minIdle";
        public static final String SO_TIMEOUT = "soTimeout";
        public static final String CONN_TIMEOUT = "connTimeout";
        public static final String MAX_ATTEMPS = "maxAttempts";        
        public static final String IP = "ip";
        public static final String PORT = "port";
        
        private Redis() {}
    }
    
    public static class ClientType{
        public static final String JEDIS_CLIENT = "Jedis";
        public static final String JEDIS_CLUSTER_CLIENT = "JedisCluster";
        
        private ClientType() {}
    }
}
